**机器人可以使用遥控器和手柄两种方式遥控。**

**1、遥控器遥控**
机器人采用的遥控器及相关的按键介绍如下图所示：
![](/uploads/rem/images/m_ed49a97caee62fb1370ba1e529c5e184_r.png "图1.6 遥控器示意图")

使用遥控器控制机器人运动时，首先启动遥控器，先短按后长按电源开关至遥控器的指示灯全部亮起，遥控器开启时有蜂鸣器提示音。遥控器启动后，拨动遥控器左上方的拨杆至最右端解锁遥控器，遥控器右上方拨杆保持在最右端的手动模式，就可以手动遥控机器人进行全向运动。遥控器摇杆使用方法如下：

| 摇杆  | 功能  |
| :------------: | :------------: |
| 左摇杆向上推动  | 无人车前进  |
| 左摇杆向下推动  | 无人车后退  |
| 左摇杆向左推动  | 无人车向左横移  |
| 左摇杆向右推动  | 无人车向右横移  |
| 右摇杆向左推动  | 无人车左转  |
| 右摇杆向右推动  | 无人车右转  |

**2、手柄遥控**
本实验采用ROS专用的USB遥控手柄，操作更加灵活，并且可以直接远程扩展机器人。手柄的相关按键介绍及参数如下：

![](/uploads/rem/images/m_776fdffeccdbf114f34e065d96ba6150_r.png)

| 项目  | 参数  |
| ------------ | ------------ |
| 可自定义功能键数量  | 23个  |
| 尺寸（长宽高）  | 15.5cm,9.5cm,5.5cm  |
| 摇杆输出模式  | 支持输出模拟值  |
| 支持系统  | 支持Windows、Linux  |
| 通讯方式  | USB-A接收段子+2.4G无线通讯  |
| 接口类型  | USB2.0免驱  |
| 通讯距离  | 约15m（与使用环境有关）  |

手柄摇杆使用方法如下：

| 摇杆  | 功能  |
| :------------: | :------------: |
| 左摇杆向上推动  | 无人车前进  |
| 左摇杆向下推动  | 无人车后退  |
| 左摇杆向左推动  | 无人车向左横移  |
| 左摇杆向右推动  | 无人车向右横移  |
| 右摇杆向左推动  | 无人车左转  |
| 右摇杆向右推动  | 无人车右转  |